#
# spec file for package opera (Version 9.62)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison brp-check-internal bzip2 coreutils cpio cpp cpp41 cracklib cvs cyrus-sasl db desktop-translations diffutils dos2unix e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc41 gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc41 libltdl libmudflap41 libnscd libstdc++41 libtool libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions pkgconfig popt post-build-checks procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip update-desktop-files util-linux vim xorg-x11 xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel

%define ix86ver      gcc4-shared-qt3.i386
%define ppcver       gcc4-shared-qt3.ppc
%define x86_64ver    gcc4-shared-qt3.x86_64
%define buildnum     2466

Name:           opera
Url:            http://www.opera.com/
AutoReqProv:    on
Version:        9.62
Release:        0.1
Summary:        The Opera Web Browser
Group:          Productivity/Networking/Web/Browsers
License:        Any commercial
Source0:        http://snapshot.opera.com/unix/snapshot-%{buildnum}/intel-linux/%{name}-%{version}-%{buildnum}.%{ix86ver}.tar.bz2
Source1:        http://snapshot.opera.com/unix/snapshot-%{buildnum}/ppc-linux/%{name}-%{version}-%{buildnum}.%{ppcver}.tar.bz2
Source2:        http://snapshot.opera.com/unix/snapshot-%{buildnum}/x86_64-linux/%{name}-%{version}-%{buildnum}.%{x86_64ver}.tar.bz2
Source20:       opera-icons-akkasone.tar.bz2
Source30:       opera.desktop
NoSource:       0
NoSource:       1
NoSource:       2
# PATCH: bnc#208048
Patch0:         %{name}-scim-qtimm-problem.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
ExclusiveArch:  %{ix86} x86_64 ppc ppc64
PreReq:         coreutils
BuildRequires:  dos2unix unzip update-desktop-files xorg-x11 xorg-x11-devel
Requires:       qt3

%description
Opera is user-friendly, secure, and exceptionally fast. The browser is
small, yet full-featured and functions well on systems with limited
resources. Opera supports all common Web standards and implements them
according to the official recommendations.



Authors:
--------
    Opera Software A/S

%prep
%setup -q -T -c -n %{name}-%{version} -a 0 -a 1 -a 2 -a 20
for i in %{ix86ver} %{ppcver} %{x86_64ver}; do
pushd %{name}-%{version}-%{buildnum}.$i
%patch0
# add one click associations [bnc#300536]
cat >> etc/opera6rc.fixed << EOF
[File Types]
text/x-suse-ymp=7,/sbin/YaST2 OneClickInstallUI,,,ymp,|
text/x-suse-ymu=3,/sbin/YaST2 OneClickInstallUrlHandler,,,ymu,|
EOF
popd
done

%build
# check for supported architectures
%ifnarch %{ix86} ppc ppc64 x86_64
echo 'Architecture not supported'
exit 1
%endif

%install
# change into right directory
%ifarch %{ix86}
cd %{name}-%{version}-%{buildnum}.%{ix86ver}
%endif
%ifarch ppc ppc64
cd %{name}-%{version}-%{buildnum}.%{ppcver}
%endif
%ifarch x86_64
cd %{name}-%{version}-%{buildnum}.%{x86_64ver}
%endif
./install.sh -v \
    --prefix=%{_prefix} \
    --wrapperdir=%{_bindir} \
    --docdir=%{_docdir}/%{name} \
    --sharedir=%{_datadir}/%{name} \
    --DESTDIR=$RPM_BUILD_ROOT
#create profile.d script
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/profile.d
cat <<EOT >$RPM_BUILD_ROOT%{_sysconfdir}/profile.d/%{name}.sh
export OPERADIR=%{_datadir}/%{name}
EOT
cat > $RPM_BUILD_ROOT%{_datadir}/%{name}/ini/filehandler.ini << EOF
Opera Preferences version 2.0
; Do not edit this file while Opera is running
; This file is stored in UTF-8 encoding
[Settings]
; Default File Handler=kfmclient exec,1
; Default Directory Handler=kfmclient exec,1
EOF
install -m 644 etc/opera6rc.fixed $RPM_BUILD_ROOT%{_sysconfdir}
install -m 644 etc/opera6rc $RPM_BUILD_ROOT%{_sysconfdir}
# new set of icons [bnc#384209]
for res in 16 22 24 32 48 64 96 128 192; do
    install -D -m 0644 ../opera-icons-akkasone/opera${res}.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/${res}x${res}/apps/opera.png
done
%suse_update_desktop_file -i %{name} Network WebBrowser

%pre
# earlier versions had opera.xpm as directories.
# Avoid RPM errors by deleting them.
if [ -d %{_datadir}/icons/opera.xpm ]; then
    rm -rf %{_datadir}/icons/opera.xpm
fi
if [ -d %{_datadir}/pixmaps/opera.xpm ]; then
    rm -rf %{_datadir}/pixmaps/opera.xpm
fi

%files
%defattr(-,root,root)
%doc %{_docdir}/%{name}
%doc %{_mandir}/man1/opera.1.gz
%{_bindir}/opera
%{_prefix}/lib/opera
%config %{_sysconfdir}/profile.d/%{name}.sh
%config %{_sysconfdir}/opera6rc
%config %{_sysconfdir}/opera6rc.fixed
%{_datadir}/%{name}
%{_datadir}/applications/opera.desktop
%{_datadir}/icons/hicolor/*/apps/opera.png
%dir %{_datadir}/icons/hicolor
%dir %{_datadir}/icons/hicolor/*
%dir %{_datadir}/icons/hicolor/*/apps
%if %{suse_version} < 1030
%{_datadir}/pixmaps/opera.png
%endif

%changelog
* Thu Oct 30 2008 - prusnak@suse.cz
- updated to 9.62 (aka build 2466)
  o Security
  * Fixed an issue where History Search could be used to execute
  arbitrary code, as discovered by Aviv Raff; see our advisory
  * The links panel no longer allows cross-site scripting;
  see our advisory
* Tue Oct 21 2008 - prusnak@suse.cz
- updated to 9.61 (aka build 2456)
  o User Interface
  * Fixed an issue with Opera Link which could generate duplicate
  bookmarks during the synchronization process
  * The image toggle button on the status bar is now a normal button,
  and does not have a menu
  o Security
  * Fixed an issue where History Search could be used to reveal
  browsing history, as reported by Roberto Suggi Liverani of
  Security-Assessment.com; see our advisory
  * Fast Forward can no longer allow cross-site scripting,
  as reported by David Bloom; see our advisory
  * Prevented news feed preview from revealing the contents of unrelated
  news feeds, as reported by David Bloom; see our advisory
* Wed Oct 08 2008 - prusnak@suse.cz
- updated to 9.60 (aka build 2444)
  o User Interface
  * Opera now remembers the bookmark panel position after restart
  * Added a setting opera:config#UserPrefs|ShowBookmarksInAddressfield-
  Autocompletion to prevent bookmarks from showing in the Address
  field auto-completion drop-down
  * When setting opera:config#TransferWindow|KeepEntriesDays to 0,
  Opera now removes the transfer history when restarting
  * Sites using HTTP Auth are now saved in typed history
  * Opera now stops loading pages with iframes when closing the page
  or pressing stop
  * Page encoding in site preferences can now be reset to automatic
  * Browsing Intranet sites now works after changing proxies in
  a running session
  * Improvements to Opera Link include the synchronization of search
  engines and typed history
  * Changed the default global history to 1000
  * Added a new default speedial.ini
  * Fixed sorting by progress in Transfers
  * Fixed copying of multiple entries from the history manager
  * Fixed a bug that could cause notes to be lost when using certain
  characters
  * Fixed dataloss situation when note folders had more than one line
  in their name
  * Fixed spurious highlighting when using the space character
  in inline find
  * Fixed an issue that would prevent links in frames from being opened
  by the keyboard
  o Mail, News, Chat
  * Added popular Chinese providers in mailproviders.xml
  * Made all top-level access points (except All Messages) selectable
  * Now copes better with broken POP servers that send empty UIDLs
  * The "Large font" setting is now respected for subjects
  * Cache files from feeds no longer show up in Transfers
  * Feeds are now detected even when served as text/html
  * Fixed the synchronization of removed labels for IMAP accounts
  * Fixed an issue where the signatures wouldn't change if the default
  account signature ended with a space
  * Fixed an issue where sent message bodies could disappear under
  certain circumstances
  * Fixed DCC transfers in IRC
  o Display and Scripting
  * Improved Acid3 support: The document property has been removed from
  iframe objects for compatibility with Gecko, WebKit, and the Acid3 test
  * Added support for the caller property on functions:
  http://developer.mozilla.org/En/Core_JavaScript_1.5_Reference:Global_Objects:Function:caller
  * Special characters are now displayed properly in the Address bar
  drop-down
  * Opera Dragonfly element highlighting no longer stays on the page
  after closing the developer tools window
  * Script focused elements are no longer highlighted
  * Fixed saving of SVG when right clicking
  * Fixed an issue where custom search engines would not get a favicon
  o Security
  * Verisign and Comodo are now formally EV-enabled: see Yngve's blog post
  * Fixed an issue where specially crafted addresses could execute
  arbitrary code, as reported by Chris of Matasano Security;
  see our advisory
  * Java applets can no longer be used to read sensitive information,
  as reported by Nate McFeters; see our advisory
  o Miscellaneous
  * Added the Opera Core version (currently "Presto/2.1.1")
  to the User Agent header
  * Improved performance with large wand.dat files
  * Fixed Fast Forward on Google search results pages
  o Unix-specific changes
  * Upgrading Opera on Debian no longer resets default x-www-browser
  * Fixed an issue where text with specified size suddenly disappears
  on Qt4 builds
* Wed Aug 20 2008 - lmichnovic@suse.cz
- RC2 is final: adjusted version number
 - security fixes in opera 9.52:
  * Sites can no longer change framed content on other sites
  * Fixed an issue that could allow cross-site scripting
  * Custom shortcuts no longer pass the wrong parameters to
  applications, as reported by Michael A. Puls II
  * Prevented insecure pages from showing incorrect security
  information, as reported by Lars Kleinschmidt
  * Feed links can no longer link to local files
  * Feed subscription can no longer cause the wrong page address
  to be displayed
 - other stability upgrades and features (See Changelog)
* Fri Aug 15 2008 - lmichnovic@suse.cz
- update to 9.52 RC2 build 2091
  * Added Help button to "Engine Init() Failed" error message on
  start-up to inform users about problem.
  * Fixed a problem with M&T Bank.
  * Fixed a problem with POP accounts where message bodies weren't
  downloaded.
  * Fixed a small memory leak in the BitTorrent code.
  * Added bookmark path to autocompleted bookmarks in the address
  bar to better distinguish them from visited pages.
  * Disabled APOP authentication for new accounts at online.no
  (not supported by them). Users experiencing problems with
  online.no account should switch to Plaintext authentication.
  * Fixed a crash that could occur when opening mail notification
  popups on a secondary monitor.
  * Fixed a few icon/skin issues.
  * Added a "Close Tab" entry to the File menu on Windows and Linux.
  * Fixed some translation errors.
* Fri Jul 04 2008 - lmichnovic@suse.cz
- update to version 9.51
  * Lot's of security and bug fixes. See Changelog for more details.
- changing filehandler.ini inside spec file, erased external source
- erased external lang files cause they are included in the tarball
* Mon Jun 16 2008 - lmichnovic@suse.cz
- security update to version 9.50 [bnc#400367]
  * Lot's of security and bug fixes and new features.
  See Changelog for more details.
- all archs (i386, ppc, x86_64) use shared qt3 library and gcc4
- enabled native 64bit build [bnc#204729]
- dropped sparc arch
- Opera now works with Flash plug-in also on 64bit [bnc#336213]
- deleted bugzilla-300536-oneclick.patch because file associations
  are rewritten manually in spec file
- applying bugzilla-208048-scim-qtimm-problem.patch for all archs
- deleted unused and obsolete extra file search.ini
- using AutopreReq on
* Wed Apr 30 2008 - prusnak@suse.cz
- added hicolor opera icon [bnc#384209]
  * created by Aakash Soneri (http://www.akkasone.com/)
  * redistributed with written permission of the author
  * http://akkasone.deviantart.com/art/Opera-8-Browser-Icon-22991716
- registration file opera.reg no longer needed
- refactored spec file
* Thu Apr 03 2008 - lmichnovic@suse.cz
- security update to 9.27 [bnc#376714]
  * Fixed an issue where newsfeed prompts could cause Opera to
  execute arbitrary code.
  * Solved an issue where resized canvas patterns could cause Opera
  to execute arbitrary code.
  * Improved keyboard handling of password inputs.
  * Fixed a BitTorrent transfer stability issue.
  * Resolved stablity issues with the Acid 3 test.
  * Additional stability fixes.
* Thu Feb 21 2008 - lmichnovic@suse.cz
- security update to 9.26 [bnc#363574]
  * Fixed an issue where simulated text inputs could trick users
  into uploading arbitrary files.
  * Image properties can no longer be used to execute scripts.
  * Fixed an issue where the representation of DOM attribute values
  could allow cross site scripting.
  * Fixed a stability issue found in Opera 9.0 to 9.25, when Opera
  connects securely to Windows Server 2008 or other servers
  supporting the TLS Certificate Status extension.
  * Additional stability fixes.
* Fri Feb 15 2008 - lmichnovic@suse.cz
- owning directories /usr/share/icons/hicolor/*/*
- added missing coreutils PreReq
- set Requires: on qt3 only for build with shared libs
* Wed Jan 02 2008 - lmichnovic@suse.cz
- applying oneclick patch also on ppc arch
* Wed Jan 02 2008 - lmichnovic@suse.cz
- security update to 9.25 [#350579]
  CVE-2007-6520, CVE-2007-6521, CVE-2007-6522, CVE-2007-6523,
  CVE-2007-6524
  * Fixed an issue where plug-ins could be used to allow cross
  domain scripting.
  * Fixed an issue with TLS certificates that could be used to
  execute arbitrary code.
  * Rich text editing can no longer be used to allow cross domain
  scripting.
  * Fixed a problem where malformed BMP files could cause Opera to
  temporarily freeze.
  * Prevented bitmaps from revealing random data from memory.
* Mon Oct 22 2007 - lmichnovic@suse.cz
- security update to 9.24
  CVE-2007-5540, CVE-2007-5541 [#334832]
  * Fixed an issue where external news readers and e-mail clients
  could be used to execute arbitrary code
  * Fixed an issue where scripts could overwrite functions on pages
  from other domains.
- updated language files to meet the version [#331913]
* Thu Oct 18 2007 - ro@suse.de
- don't build on x86_64, let's use the x86 version until we
  get something native
* Fri Aug 31 2007 - ltinkl@suse.cz
- fix #300536 add one-click installation associations to opera
* Thu Aug 16 2007 - ltinkl@suse.cz
- update to 9.23 (#300605 - VUL-0: opera: a specially crafted
  JavaScript can make Opera execute arbitrary code)
- #300536 - add one-click installation associations to opera
* Mon Jul 23 2007 - lmichnovic@suse.cz
- update to 9.22 (#293101 VUL-0: opera 9.22 fixes double free bug)
  Crafted torrent files can execute arbitrary code; CVE-2007-2809
* Tue Jul 10 2007 - ltinkl@suse.cz
- fix #289701 – old opera icons
* Thu Jul 05 2007 - coolo@suse.de
- put desktop file into package and replaced references to the old
  icon
* Tue May 29 2007 - ltinkl@suse.cz
- update to 9.21 fix release
- fix rpmlint warning about unsupported distro (8.20)
* Mon May 07 2007 - ro@suse.de
- added unzip to buildrequires
* Wed Apr 18 2007 - ltinkl@suse.cz
- update to 9.20 (#264218 - VUL-0: opera version 9.20 released)
* Wed Apr 04 2007 - mfabian@suse.de
- Bugzilla #208048: add workaround to start script to avoid
  bad page layout in some locales when scim-qtimm is installed.
* Tue Jan 02 2007 - ltinkl@suse.cz
- update to 9.10
* Sat Sep 30 2006 - ltinkl@suse.cz
- fix #189635 - opera9 cannot be installed during system upgrade
- fix #208742 - VUL-0: opera: RSA signature forgery problem
- update to 9.02
* Wed Aug 16 2006 - ltinkl@suse.cz
- #190137: incompatible language files in Opera 9.0-1.1 & Opera 9.0-1.3
* Thu Aug 10 2006 - ltinkl@suse.cz
- #188632 - Opera 9.0 denial of service with A tag
* Tue Jun 27 2006 - ltinkl@suse.cz
- update to 9.0 final
- #187716 - VUL-0: Opera jpeg integer overflow
- #176127 - /usr/share/pixmaps/opera.xpm and /usr/share/icons/opera.xpm are directories
* Thu May 04 2006 - ltinkl@suse.cz
- fix #168288 - VUL-0: opera code exec via stylesheet (update to 8.54)
* Mon Feb 20 2006 - ltinkl@suse.cz
- security update to 8.52 (#151788)
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Dec 14 2005 - ro@suse.de
- really use buildroot
* Tue Dec 13 2005 - ltinkl@suse.cz
- add buildroot + norootforbuild
* Wed Nov 23 2005 - ltinkl@suse.cz
- VUL-0: opera command line url shell command injection (#134905)
- update to 8.51
* Sat Sep 24 2005 - ltinkl@suse.cz
- fix version number, really 8.50 :)
* Wed Sep 21 2005 - ltinkl@suse.cz
- update to 8.05, fixing security issue #117980
* Thu Sep 01 2005 - ltinkl@suse.cz
- go back to the stable version 8.02, register the version
  using the key kindly provided by Opera
* Tue Aug 02 2005 - ltinkl@suse.cz
- update to 8.10 Preview
* Mon Jun 20 2005 - ltinkl@suse.cz
- update to 8.01, fixing several security issues (#91179 and others)
* Mon May 23 2005 - ltinkl@suse.cz
- major update to 8.0, all platforms
* Thu Feb 10 2005 - ltinkl@suse.cz
- don't allow tricking the user into running arbitrary commands
  (#49218)
* Tue Oct 05 2004 - ltinkl@suse.cz
- fix Netscape plugins (#46010)
* Wed Sep 15 2004 - ltinkl@suse.cz
- x86 and ppc versions switched to dynamically linked against Qt (#43526)
- fix local file detection vulnerability (#43923)
- fix address bar spoofing vulnerability (#42279)
* Tue Sep 14 2004 - kukuk@suse.de
- Remove OpenMotif1 and OpenMotif2 plugins [Bug #43311]
* Wed Aug 18 2004 - ltinkl@suse.cz
- updated to 7.54
* Fri Jul 23 2004 - ltinkl@suse.cz
- update to 7.53 (#42279)
* Fri Jul 09 2004 - ltinkl@suse.cz
- update to 7.52
* Tue Jun 08 2004 - ltinkl@suse.cz
- security bugfix update (#41628)
* Thu May 13 2004 - ltinkl@suse.cz
- updated to 7.50 (all archs)
- threw away the now unused patch
* Mon Feb 23 2004 - ltinkl@suse.cz
- updated to 7.23 for all archs
- updated the language files
- got rid of the motifwrapper hack
* Tue Sep 16 2003 - aj@suse.de
- Remove broken requires.
* Thu Aug 28 2003 - pthomas@suse.de
- Use the operamotifwrapper plugin from opera 7.20b as this
  is linked against the current libXm.so.3.
* Sat Aug 16 2003 - adrian@suse.de
- install desktop file from kappfinder
* Fri Aug 15 2003 - pthomas@suse.de
- Update ix86 and ppc to 7.11.
- Update sparc to 6.12 beta.
- Add most of the available language files.
* Wed Nov 13 2002 - ro@suse.de
- comment out kde2 stuff
* Wed Aug 28 2002 - uli@suse.de
- update -> 6.03 for i386 & compatibles
* Wed Aug 14 2002 - ro@suse.de
- removed gnome1 support
* Fri Jul 05 2002 - kukuk@suse.de
- Use %%ix86 macro
* Thu Jul 04 2002 - sndirsch@suse.de
- added german help module (Bug #16341)
* Wed Jun 05 2002 - stepan@suse.de
- patch install script to recognize hammer architecture.
* Wed May 29 2002 - uli@suse.de
- update -> 6.01 (secfix)
* Mon May 27 2002 - uli@suse.de
- added German localization from http://www.blauwal.at/opera
  (bug #16341)
* Wed May 15 2002 - uli@suse.de
- update -> 6.0 final (x86 only)
* Fri Feb 22 2002 - uli@suse.de
- update -> 6.0 (x86 only)
* Wed Jan 23 2002 - ro@suse.de
- build using kde2-compat
- will need port to kde3 (icon pathes only)
* Mon Sep 17 2001 - uli@suse.de
- initial package, x86/sparc/ppc only
